package _07_有参数无返回值;

public class Test2 {
    public static void main(String[] args) {

        /**
         * 打印两个数的和
         * 打印一个数的阶乘
         * 判断一个数是否是另外一个数的倍数
         */
        printSum(1,2);
        printSum(2,3);
        printSum(3,4);

        printFac(5);

        isMultiple(3,8);
    }

    /**
     * 判断一个数是否是另外一个数的倍数
     * 9 是 3 的倍数
     * 8 是 4  的倍数
     *
     * number  % number1 == 0
     */
    public static void isMultiple(int num,int multiple){
        if(multiple % num == 0){
            System.out.println(multiple + "是" + num +"倍数");
        }else{
            System.out.println(multiple +"不是"+ num +"倍数");
        }
    }
    /**
     *     打印一个数的阶乘
     *     5
     *     5*4*3*2*1
     */
    public static void printFac(int num){
        int fac = 1;
        for (int i = 1; i <= num ; i++) {
            fac *= i;
        }
        System.out.println("num 阶乘为:"+ fac);
    }
    /**
     * 打印两个数的和
     */
    public static void printSum(int a , int b){
        System.out.println(a+b);
    }

}
